import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://vizhub.com/curran/datasets/temperature-in-san-francisco.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.temperature = +d.temperature;
			d.timestamp = new Date(d.timestamp)
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};